# -*- rpm-spec -*-
# $Id: kernel-fix-drivers-md.spec,v 1.8.2.1 2005/11/23 14:09:12 vsu Exp $
#

%define patch_name	kernel-fix-drivers-md

Name: %patch_name
Version: 2005.03.14
Release: alt1.M30.2

Summary: %patch_name - Linux kernel md drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  3	2.4_03_r5align.patch					2.4
%source  4	2.4_04_md-hot-add.patch					2.4
%source  5	2.4_05_degraded-soft-raid1-can-corrupt-data-1.patch	2.4
%source  6	2.4_06_panic-when-backing-up-lvm-snapshots-1.patch	2.4

%source 2600	2.6_00_dm-bdput-thaw_bdev-at-removal.patch		2.6
%source 2601	2.6_01_dm-free-minor-after-unlink-gendisk.patch		2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux kernel md drivers fixes

%install
%install_patches
%__mkdir_p %patches_dir/%patch_name/01_kernel-feat-dm/

%files
%_usrsrc/*

%changelog
* Fri Jun 30 2006 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1.M30.2
- Added patches for 2.6.12:
  + 2.6_00_dm-bdput-thaw_bdev-at-removal.patch: dm: add missing bdput/thaw_bdev
    at removal
  + 2.6_01_dm-free-minor-after-unlink-gendisk.patch: dm: free minor after
    unlink gendisk

* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1.M30.1
- Added patches for 2.4.29:
  - 2.4_05_degraded-soft-raid1-can-corrupt-data-1.patch: md: allow degraded
    raid1 array to resync after an unclean shutdown
  - 2.4_06_panic-when-backing-up-lvm-snapshots-1.patch: fix panics while
    backing up LVM snapshots

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_051-md_sync_page_io_max_vecs.patch

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added 2.4_/2.6_ prefixes to patch file names.
- Added patches from 2.6.10-as3:
  + 2.6_00_051-md_sync_page_io_max_vecs.patch

* Thu Mar  4 2004 Zhenja Kaluta <tren@altlinux.ru> 2004.03.03-alt2
- fixed kernel label

* Wed Mar  3 2004 Zhenja Kaluta <tren@altlinux.ru> 2004.03.03-alt1
- Fixed order of patch dependence

* Thu Dec 18 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.08-alt12
- added patches from aw

* Wed Dec 17 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.08-alt11
- Removed major patch. No need for new dm

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2003.07.08-alt10
- removed included to 2.4.22 patches

* Tue Aug 05 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.08-alt6
- 04_md-stop and 05_major patches back

* Mon Aug 04 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.08-alt5
- Fixed boot impossibility

* Fri Aug 01 2003 Zhenja Kaluta <tren@altlinux.org> 2003.07.08-alt4
- Apply major patch on dm only system

* Thu Jul 31 2003 Zhenja Kaluta <tren@altlinux.org> 2003.07.08-alt3
- Added major number fix

* Thu Jul 31 2003 Zhenja Kaluta <tren@altlinux.org> 2003.07.08-alt2
- Added md stop patch

* Tue Jul  8 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.07.08-alt1
- Initial release



